View Issue Details

IDProjectCategoryView StatusLast Update
0000723luatexluatex bugpublic2015-11-03 23:37
ReporterPaul IsambertAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.70.1 
Target VersionFixed in Version0.81.0 
Summary0000723: \prevdepth isn't updated after \halign.
Description\halign{&#\cr a\cr}\par
\dimen0=\prevdepth
\immediate\write16{\the\dimen0}
\bye

Prints "-1000.0pt", while it should return "0.0pt", as other engines do.
TagsNo tags attached.

Activities

hhenkel

2011-10-04 20:19

manager  

align.w.patch (425 bytes)
Index: align.w
===================================================================
--- align.w	(Revision 4352)
+++ align.w	(Arbeitskopie)
@@ -1135,6 +1135,7 @@
     if (cur_list.mode_field == mmode) {
         finish_display_alignment(p, q, pd);
     } else {
+        cur_list.prev_depth_field = pd; /* aux:=aux_save; */
         vlink(cur_list.tail_field) = p;
         if (p != null)
             cur_list.tail_field = q;
align.w.patch (425 bytes)

hhenkel

2011-10-04 20:19

manager   ~0000912

seems the equivalent of aux:=aux_save; was missing, see patch.

oneiros

2014-10-23 11:05

developer   ~0001289

See also http://tex.stackexchange.com/q/208416/5763 - any chance of fixing this after more than three years?

luigi scarso

2014-10-24 17:48

developer   ~0001293

Fixed in experimental rev. 5068 (patch applied).

Issue History

Date Modified Username Field Change
2011-10-04 09:21 Paul Isambert New Issue
2011-10-04 20:19 hhenkel File Added: align.w.patch
2011-10-04 20:19 hhenkel Note Added: 0000912
2014-10-23 11:05 oneiros Note Added: 0001289
2014-10-23 11:07 oneiros Reproducibility have not tried => always
2014-10-23 11:07 oneiros Status new => acknowledged
2014-10-24 15:15 Hans Hagen Assigned To => luigi scarso
2014-10-24 15:15 Hans Hagen Status acknowledged => assigned
2014-10-24 17:48 luigi scarso Note Added: 0001293
2015-10-24 21:04 Hans Hagen Assigned To luigi scarso => Taco
2015-11-03 23:37 Hans Hagen Status assigned => closed
2015-11-03 23:37 Hans Hagen Resolution open => fixed
2015-11-03 23:37 Hans Hagen Fixed in Version => 0.81.0